package myverticle;

import io.vertx.core.Vertx;
import io.vertx.core.json.JsonObject;
import io.vertx.ext.jdbc.JDBCClient;

public class JDBCClientFactory {

  private Vertx vertx;
  private JsonObject config;

  public JDBCClientFactory(Vertx vertx, JsonObject config) {
    super();
    this.vertx = vertx;
    this.config = config;
  }

  public JDBCClient createJDBCClient() {
    JsonObject jdbcClientConfig = new JsonObject();
    jdbcClientConfig.put(ConfigKeys.DB_URL, config.getBinary(ConfigKeys.DB_URL));
    jdbcClientConfig.put(ConfigKeys.DRIVER_CLASS, config.getBinary(ConfigKeys.DRIVER_CLASS));
    return JDBCClient.createNonShared(vertx, jdbcClientConfig);
  }

}
